/* config.h
   Configuration header file */

/***
 * User configuration section
 *
 * Most of these settings should work as they are, and you should fix
 * them only if you wish to change the bahaviour of the program, or if
 * it does not compile on your system.
 ***/

/* Define NO_RECURSION if you do not wish to install recursion
   capability on your system. */
/*#define NO_RECURSION */

/* Define SUNOS4 if you are on SunOS 4.x */
/*#define SUNOS4. */

/* Uncomment this (and insert your host and domain, without leading
   dot) if your system does not have getdomainname, sysinfo, or they
   are broken. */
/*#define MY_HOST "somehost" */
/*#define MY_DOMAIN "my.domain.should.be.here" */

#define DEFAULT_FILE_PREFIX "received" /* modified with -f */
#define DEFAULT_NUMBER_OF_TRIES 20     /* modified with -t */

/* Recursion settings */
#define DEFAULT_MAXRECLEVEL 5
#define DEFAULT_DIRMODE 0755
#define DEFAULT_DIRPREFIX "."

/* Define SYSV if you are on SYSV and the later ifdef's can't figure
   it out. */
/*#define SYSV */

/* Comment out this definition if your Unix has not the standard
   getpwnam & friends. */
#define HAVE_PWD

/* If your compiler doesn't know about time_t, comment this out: */
#define HAVE_TIME_T

/* Comment this out if you do not wish to use time, or it is
   completely broken on your system. */
#define USE_TIME

/* Uncomment this if your system does not have strerror(): */
/*#define NO_STRERROR */

/***********************************
  End of user-configuration section
  ***********************************/

/* Unsupported, but it can stay. */
#ifdef __STDC__
#  define ARG(x) x
#else
#  define ARG(x) ()
#endif /* __STDC__ */

#ifdef SUNOS4
#  define BROKEN_SUNOS_HEADERS
#  define NO_STRERROR
#endif /* SUNOS4 */

#ifdef BROKEN_SUNOS_HEADERS
char *strstr();
char *strchr();
void *memcpy();
#endif /* BROKEN_SUNOS_HEADERS */

#if defined(__svr4__) || defined(SVR4) || defined(__SVR4)
#  define SYSV
#endif

#ifdef _AIX
#  define _ALL_SOURCE /* Go figure out why xlc likes it. */
#  define SYSV
#  define HAS_GETHOSTNAME
#  define HAS_GETDOMAINNAME
#endif /* _AIX */

#ifdef __osf__
#  define SYSV
/* I had problems with SRPC_DOMAIN on OSF. */
#  define HAS_GETDOMAINNAME
#endif /* __osf__ */

#ifdef SYSV
#  define HAVE_STRING_H
#endif /* SYSV */

#ifdef ultrix
#  define NO_STRDUP
#endif /* ultrix */

#ifdef NO_STRERROR
#  define mystrerror(x) (sys_errlist[x])
extern char *sys_errlist[];
#else
#  define mystrerror(x) strerror(x)
#endif


