/* http.c
   Header file for HTTP implementation */

/* Header HTTP definitions */
#define CONTLEN_H "Content-length: "
#define CONTTYPE_H "Content-type: "
#define LOCATION_H "Location: "
#define TEXTHTML_S "text/html"
#define HTTP200_H "HTTP/1.0 200"
/* Maximum header length */
#define MAXHLEN 200

/* Retrieval buffer size */
#define BUFFER_SIZE 8192

/* Document-type flags */
#define TEXTHTML 0x0001
#define HTTP200  0x0002

/* Buffer size for loading */
#define FILE_BUFFER_SIZE 1024

/* Separator for legible numbers */
#define LEGIBLE_SEPARATOR ','

/* Function declarations */
uerr_t fetch_next_header(int, char *, int);
uerr_t gethttp(char *, int, char *, FILE *, long *, long *, int *,
	       char **, int *);
long hgetlen(char *);
char *hgettype(char *);
char *hgetlocation(char *);
int get_contents(int, FILE *, long *);
void show_progress(long, int);
char *legible(long);

